gtk-sharp Gtk.Dialog Unix print dialog. This class implements a Print dialog for platforms which don't provide a native printing dialog.
- Constructor
  Native object pointer.
  Internal constructor
  This is not typically used by C# code. Exposed primarily for use by language bindings to wrap native object instances.
- Constructor
  Window title.
  Transient parent window.
  Public constructor.
- Method
  System.Void `` `` The child widget. The tab label text. Adds a custom tab to the dialog.
- Property
  GLib.Property("current-page")
  System.Int32 CurrentPage tab index. An integer index of the selected tab.
- Property
  GLib.Property("embed-page-setup")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.GType GType Property. Native value. Returns the native value for .
- Property
  GLib.Property("has-selection")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("manual-capabilities")
  Gtk.PrintCapabilities Manual capabilities supported. A set of supported by the application. Allows configuration of the supported printing capabilities for an application.
- Property
  GLib.Property("page-setup")
  Gtk.PageSetup PageSetup property. The specified .
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("print-settings")
  Gtk.PrintSettings PrintSettings property. Same as .
- Property
  GLib.Property("selected-printer")
  Gtk.Printer Selected printer property. The selected .
- Property
  Gtk.PrintSettings Settings property. The specified .
- Property
  GLib.Property("support-selection")
  System.Boolean To be added. To be added. To be added.